## plasma-activities 6.4.91

=== CMakeLists.txt ===
# vim:set softtabstop=3 shiftwidth=3 tabstop=3 expandtab:
cmake_minimum_required(VERSION 3.16)

set(PROJECT_VERSION "6.4.91")
project(PlasmaActivities VERSION ${PROJECT_VERSION})

set(QT_MIN_VERSION "6.9.0")
set(KF6_MIN_VERSION "6.18.0")
set(KDE_COMPILERSETTINGS_LEVEL "5.82")

set(CMAKE_CXX_STANDARD 20)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

find_package(ECM ${KF6_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

option (PLASMA_ACTIVITIES_LIBRARY_ONLY "If true, compiles only the PlasmaActivities library, without the QML imports." OFF)

set (PLASMA_ACTIVITIES_CURRENT_ROOT_SOURCE_DIR ${CMAKE_CURRENT_SOURCE_DIR})

include(FeatureSummary)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEGitCommitHooks)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMGenerateExportHeader)
include(ECMGenerateHeaders)
include(ECMGeneratePkgConfigFile)
include(ECMQtDeclareLoggingCategory)
include(ECMAddQch)
include(ECMMarkNonGuiExecutable)
include(ECMDeprecationSettings)
include(ECMQmlModule)
include(KDEClangFormat)

option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")

find_package (Qt6 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS Core DBus)

include (CMakePackageConfigHelpers)
include (ECMSetupVersion)

set(plasma_activities_version_header "${CMAKE_CURRENT_BINARY_DIR}/src/lib/plasma_activities_version.h")
ecm_setup_version (
   PROJECT
   VARIABLE_PREFIX PLASMA_ACTIVITIES
   VERSION_HEADER "${plasma_activities_version_header}"
   PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/PlasmaActivitiesConfigVersion.cmake"
   SOVERSION 7
   )

ecm_set_disabled_deprecation_versions(
    QT 6.8.1
    KF 6.12.0
)

add_subdirectory (src)
if (BUILD_TESTING)
    add_subdirectory (autotests)
    add_subdirectory (tests)
endif()

set (CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/PlasmaActivities")

if (BUILD_QCH)
    ecm_install_qch_export(
        TARGETS PlasmaActivities_QCH
        FILE PlasmaActivitiesLibraryQchTargets.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
    )
    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/PlasmaActivitiesLibraryQchTargets.cmake\")")
endif()

install (
   EXPORT PlasmaActivitiesLibraryTargets
   DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
   FILE PlasmaActivitiesLibraryTargets.cmake
   NAMESPACE Plasma::
   )

configure_package_config_file (
   "${CMAKE_CURRENT_SOURCE_DIR}/PlasmaActivitiesConfig.cmake.in"
   "${CMAKE_CURRENT_BINARY_DIR}/PlasmaActivitiesConfig.cmake"
   INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
   )

install (
   FILES "${CMAKE_CURRENT_BINARY_DIR}/PlasmaActivitiesConfig.cmake"
         "${CMAKE_CURRENT_BINARY_DIR}/PlasmaActivitiesConfigVersion.cmake"
   DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
   COMPONENT Devel
   )

install (
   FILES ${plasma_activities_version_header}
   DESTINATION ${KDE_INSTALL_INCLUDEDIR}/PlasmaActivities COMPONENT Devel
   )

# Write out the features
feature_summary (WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

=== debian/changelog ===
plasma-activities (6.4.91-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.4.91).
  * Update build-deps and deps with the info from cmake.
  * Adapt packaging to upstream soname bump to libplasmaactivities7.
  * Update symbols from build for 6.4.91.
  * Rename doc package to libplasmaactivities-qt6-doc, it only depends
    on the Qt version and must stay installable across soname 

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 07 Oct 2025 19:46:54 +0200

=== debian/control ===
Source: plasma-activities
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               dh-sequence-qmldeps,
               cmake (>= 3.16~),
               doxygen,
               extra-cmake-modules (>= 6.18.0~),
               libboost-dev (>= 1.49~),
               libkf6config-dev (>= 6.18.0~),
               libkf6coreaddons-dev (>= 6.18.0~),
               libkf6windowsystem-dev (>= 6.10.0~),
               libxkbcommon-dev,
               qt6-base-dev (>= 6.9.0~),
               qt6-declarative-dev (>= 6.6.0+dfsg~),
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/plasma/plasma-activities
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/plasma-activities
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/plasma-activities.git
Rules-Requires-Root: no

Package: plasma-activities-bin
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: core components for the KDE's Activities system - CLI
 When a user is interacting with a computer, there are three main areas of
 contextual information that may affect the behaviour of the system: who the
 user is, where they are, and what they are doing. Activities deal with the
 last one.
 .
 This package contain the command line tools for interacting with KDE
 Activities.

Package: libplasmaactivities-dev
Section: libdevel
Architecture: any
Depends: libboost-dev (>= 1.49~),
         libkf6config-dev (>= 6.18.0~),
         libkf6coreaddons-dev (>= 6.18.0~),
         libplasmaactivities7 (= ${binary:Version}),
         qml6-module-org-kde-activities (= ${binary:Version}),
         qt6-base-dev (>= 6.9.0~),
         ${misc:Depends},
Recommends: libplasmaactivities-qt6-doc (= ${source:Version}),
Description: core components for the KDE's Activities system - development files
 When a user is interacting with a computer, there are three main areas of
 contextual information that may affect the behaviour of the system: who the
 user is, where they are, and what they are doing. Activities deal with the
 last one.
 .
 This package contain the development files for the shared library.

Package: libplasmaactivities-qt6-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Breaks: libplasmaactivities6-doc,
Replaces: libplasmaactivities6-doc,
Description: core components for the KDE's Activities system - documentation
 When a user is interacting with a computer, there are three main areas of
 contextual information that may affect the behaviour of the system: who the
 user is, where they are, and what they are doing. Activities deal with the
 last one.
 .
 This package contain the developer documentation for the shared library.

Package: libplasmaactivities7
Architecture: any
Multi-Arch: same
Depends: libplasmaactivities-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: kactivitymanagerd,
            plasma-activities-bin,
Description: core components for the KDE's Activities system - shared library
 When a user is interacting with a computer, there are three main areas of
 contextual information that may affect the behaviour of the system: who the
 user is, where they are, and what they are doing. Activities deal with the
 last one.
 .
 This package contain the shared library for interacting with KDE Activities.

Package: libplasmaactivities-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Breaks: libplasmaactivities6 (<< 6.3.4-2),
Replaces: libplasmaactivities6 (<< 6.3.4-2),
Description: core components for the KDE's Activities system - shared library
 When a user is interacting with a computer, there are three main areas of
 contextual information that may affect the behaviour of the system: who the
 user is, where they are, and what they are doing. Activities deal with the
 last one.
 .
 This package contain the architecture-independent files for the library.

Package: qml6-module-org-kde-activities
Architecture: any
Multi-Arch: same
Depends: libplasmaactivities7 (= ${binary:Version}),
         ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Description: core components for the KDE's Activities system - QML module
 When a user is interacting with a computer, there are three main areas of
 contextual information that may affect the behaviour of the system: who the
 user is, where they are, and what they are doing. Activities deal with the
 last one.
 .
 This package contain the QML module.

## plasma-activities 6.5.0

=== src/imports/CMakeLists.txt ===
# vim:set softtabstop=3 shiftwidth=3 tabstop=3 expandtab:

project (plasmaactivities-imports)

find_package (Qt6 REQUIRED NO_MODULE COMPONENTS Gui Qml Quick Sql)
find_package (KF6Config     ${KF6_MIN_VERSION} CONFIG REQUIRED)
find_package (KF6CoreAddons ${KF6_MIN_VERSION} CONFIG REQUIRED)

ecm_add_qml_module(plasmaactivitiesextensionplugin URI "org.kde.activities" VERSION 0.1 GENERATE_PLUGIN_SOURCE DEPENDENCIES QtCore)

target_sources(plasmaactivitiesextensionplugin PRIVATE
   activitymodel.cpp
   activitymodel.h
   activityinfo.cpp
   activityinfo.h

   ${PLASMA_ACTIVITIES_CURRENT_ROOT_SOURCE_DIR}/src/utils/dbusfuture_p.cpp
)

target_link_libraries(
   plasmaactivitiesextensionplugin PRIVATE
   Qt6::Core
   Qt6::DBus
   Qt6::Gui
   Qt6::Qml
   Qt6::Quick
   Qt6::Sql
   Plasma::Activities
   KF6::ConfigCore
   KF6::CoreAddons
)

ecm_finalize_qml_module(plasmaactivitiesextensionplugin DESTINATION ${KDE_INSTALL_QMLDIR})

=== debian/changelog ===
plasma-activities (6.5.0-2) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Reupload source-only.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 22 Oct 2025 11:47:26 +0200

plasma-activities (6.5.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.5.0).
  * Refresh copyright information.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 16 Oct 2025 21:58:29 +0200

=== debian/control ===
--- 
+++ 
@@ -22,7 +22,6 @@
 Homepage: https://invent.kde.org/plasma/plasma-activities
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/plasma-activities
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/plasma-activities.git
-Rules-Requires-Root: no
 
 Package: plasma-activities-bin
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all optimize=+lto

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_QCH=ON

## plasma-activities 6.5.0+p24.04+vstable+git20251021.0827

=== debian/changelog ===
plasma-activities (6.5.0+p24.04+vstable+git20251021.0827-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 08:27:16 +0000

plasma-activities (6.5.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 06:49:11 +0000

## plasma-activities 6.5.0+p24.04+vstable+git20251028.1212

=== debian/changelog ===
plasma-activities (6.5.0+p24.04+vstable+git20251028.1212-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 28 Oct 2025 12:12:57 +0000

=== debian/control ===
Source: plasma-activities
Section: libs
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               doxygen,
               graphviz,
               kf6-extra-cmake-modules,
               kf6-kconfig-dev,
               kf6-kcoreaddons-dev,
               kf6-kwindowsystem-dev,
               libboost-dev,
               pkg-kde-tools-neon,
               qt6-base-dev,
               qt6-declarative-dev,
               qt6-tools-dev
Standards-Version: 4.6.2
Homepage: https://projects.kde.org/projects/frameworks/kactivities
Vcs-Git: https://invent.kde.org/neon/neon-packaging/plasma-activities.git
Vcs-Browser: https://invent.kde.org/neon/neon-packaging/plasma-activities
Maintainer: Neon CI <neon@kde.org>

Package: plasma-activities
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: kactivities6,
          kactivities6-bin,
          kf6-kactivities,
          libkf6activities6,
          qml6-module-org-kde-activities
Description: Command Line Tool for plasma-activities
 plasma-activities-cli is a command line tool to interact with plasma-activities
 or for help with shell completion.

Package: plasma-activities-dev
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Depends: kf6-kconfig-dev,
         kf6-kcoreaddons-dev,
         kf6-kwindowsystem-dev,
         plasma-activities (= ${binary:Version}),
         qt6-base-dev,
         qt6-declarative-dev,
         ${misc:Depends}
Replaces: kactivities6-dev,
          kf6-kactivities-dev,
          libkf6activities6-dev,
          libkf6activities6-doc
Description: development files for kactivities6.
 This library provides functionality for managing Activities.
 .
 Contains development files for plasma-activities.

Package: kactivities6
Architecture: all
Depends: plasma-activities, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: kactivities6-bin
Architecture: all
Depends: plasma-activities, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: kactivities6-dev
Architecture: all
Depends: plasma-activities, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: kf6-kactivities
Architecture: all
Depends: plasma-activities, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: kf6-kactivities-dev
Architecture: all
Depends: plasma-activities-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6activities6
Architecture: all
Depends: kactivities6, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6activities-dev
Architecture: all
Depends: plasma-activities-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6activities-doc
Architecture: all
Depends: plasma-activities, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qml6-module-org-kde-activities
Architecture: all
Depends: plasma-activities, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

=== debian/watch ===
version=4

opts=pgpsigurlmangle=s/$/.sig/ https://download.kde.org/stable/plasma/([\d.]+)/plasma-activities-([\d.]+)\.tar\.xz

## plasma-activities 6.5.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # vim:set softtabstop=3 shiftwidth=3 tabstop=3 expandtab:
 cmake_minimum_required(VERSION 3.16)
 
-set(PROJECT_VERSION "6.4.91")
+set(PROJECT_VERSION "6.5.1")
 project(PlasmaActivities VERSION ${PROJECT_VERSION})
 
 set(QT_MIN_VERSION "6.9.0")

=== debian/changelog ===
plasma-activities (6.5.1-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.5.1).
  * Drop backported commits now part of the upstream release.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 28 Oct 2025 23:11:59 +0100

plasma-activities (6.5.0-3) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Backport upstream commit: Revert "fix: replace continue_with with
    QFuture::then". [a623a511]

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 24 Oct 2025 21:54:34 +0200

## plasma-activities 6.5.1+p24.04+vstable+git20251029.0824

=== debian/changelog ===
plasma-activities (6.5.1+p24.04+vstable+git20251029.0824-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 29 Oct 2025 08:24:53 +0000

plasma-activities (6.5.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 29 Oct 2025 06:17:34 +0000

## plasma-activities 6.5.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # vim:set softtabstop=3 shiftwidth=3 tabstop=3 expandtab:
 cmake_minimum_required(VERSION 3.16)
 
-set(PROJECT_VERSION "6.5.1")
+set(PROJECT_VERSION "6.5.2")
 project(PlasmaActivities VERSION ${PROJECT_VERSION})
 
 set(QT_MIN_VERSION "6.9.0")

=== autotests/CMakeLists.txt ===
# vim:set softtabstop=3 shiftwidth=3 tabstop=3 expandtab:

string (REPLACE "-fno-exceptions" "" CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS}")
add_definitions (-fexceptions)

add_subdirectory (core)

=== tests/CMakeLists.txt ===
# vim:set softtabstop=3 shiftwidth=3 tabstop=3 expandtab:

# add_subdirectory(slc-interface)

=== tests/slc-interface/CMakeLists.txt ===
# vim:set softtabstop=3 shiftwidth=3 tabstop=3 expandtab:
project (KActivitiesSLCTestApp)

find_package (Qt6 REQUIRED NO_MODULE COMPONENTS Core Gui Widgets)

if (NOT WIN32)

add_executable(KActivitiesSLCTestApp)

target_include_directories(KActivitiesSLCTestApp PRIVATE
   ${KACTIVITIES_CURRENT_ROOT_SOURCE_DIR}/src/
   ${KACTIVITIES_CURRENT_ROOT_SOURCE_DIR}/autotests/
)

qt_add_dbus_interface(KActivitiesSLCTestApp_DBus_SRCS
   ${KACTIVITIES_CURRENT_ROOT_SOURCE_DIR}/src/service/plugins/slc/org.kde.ActivityManager.SLC.xml
   slc_interface
)

qt_wrap_ui(KActivitiesSLCTestApp_ui_SRCS
   window.ui
)

target_sources(KActivitiesSLCTestApp PRIVATE
   ${KActivitiesSLCTestApp_DBus_SRCS}
   ${KActivitiesSLCTestApp_ui_SRCS}
   window.cpp
   main.cpp
)

target_link_libraries(KActivitiesSLCTestApp
  PRIVATE
      Qt6::Core
      Qt6::Gui
      Qt6::Widgets
      Qt6::DBus
      KF6::Activities
)

endif ()

=== debian/changelog ===
plasma-activities (6.5.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 04 Nov 2025 17:13:13 +0000

plasma-activities (6.5.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 29 Oct 2025 05:47:28 +0000

plasma-activities (6.5.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.0)
  * Bump library package according to upstream SONAME.

 -- Rik Mills <rikmills@kde.org>  Mon, 20 Oct 2025 18:38:18 +0100

=== debian/control ===
Source: plasma-activities
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               dh-sequence-qmldeps,
               doxygen,
               extra-cmake-modules (>= 6.18.0~),
               libboost-dev (>= 1.49~),
               libkf6config-dev (>= 6.18.0~),
               libkf6coreaddons-dev (>= 6.18.0~),
               libkf6windowsystem-dev (>= 6.18.0~),
               libxkbcommon-dev,
               qt6-base-dev (>= 6.9.0~),
               qt6-declarative-dev (>= 6.9.0+dfsg~),
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/plasma/plasma-activities
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-activities
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-activities
Rules-Requires-Root: no

Package: plasma-activities-bin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: core components for the KDE's Activities system - CLI
 When a user is interacting with a computer, there are three main areas of
 contextual information that may affect the behaviour of the system: who the
 user is, where they are, and what they are doing. Activities deal with the
 last one.
 .
 This package contain the command line tools for interacting with KDE
 Activities.

Package: libplasmaactivities-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Breaks: libplasmaactivities6 (<< 6.3.4-2),
Replaces: libplasmaactivities6 (<< 6.3.4-2),
Description: core components for the KDE's Activities system - shared library
 When a user is interacting with a computer, there are three main areas of
 contextual information that may affect the behaviour of the system: who the
 user is, where they are, and what they are doing. Activities deal with the
 last one.
 .
 This package contain the architecture-independent files for the library.

Package: libplasmaactivities-dev
Section: libdevel
Architecture: any
Depends: libboost-dev (>= 1.49~),
         libkf6config-dev (>= 6.18.0~),
         libkf6coreaddons-dev (>= 6.18.0~),
         libplasmaactivities7 (= ${binary:Version}),
         qml6-module-org-kde-activities (= ${binary:Version}),
         qt6-base-dev (>= 6.9.0~),
         ${misc:Depends},
Recommends: libplasmaactivities-qt6-doc (= ${source:Version}),
Description: core components for the KDE's Activities system - development files
 When a user is interacting with a computer, there are three main areas of
 contextual information that may affect the behaviour of the system: who the
 user is, where they are, and what they are doing. Activities deal with the
 last one.
 .
 This package contain the development files for the shared library.

Package: libplasmaactivities-qt6-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Breaks: libplasmaactivities6-doc,
Replaces: libplasmaactivities6-doc,
Description: core components for the KDE's Activities system - documentation
 When a user is interacting with a computer, there are three main areas of
 contextual information that may affect the behaviour of the system: who the
 user is, where they are, and what they are doing. Activities deal with the
 last one.
 .
 This package contain the developer documentation for the shared library.

Package: libplasmaactivities7
Architecture: any
Multi-Arch: same
Depends: libplasmaactivities-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: kactivitymanagerd, plasma-activities-bin,
Description: core components for the KDE's Activities system - shared library
 When a user is interacting with a computer, there are three main areas of
 contextual information that may affect the behaviour of the system: who the
 user is, where they are, and what they are doing. Activities deal with the
 last one.
 .
 This package contain the shared library for interacting with KDE Activities.

Package: qml6-module-org-kde-activities
Architecture: any
Multi-Arch: same
Depends: libplasmaactivities7 (= ${binary:Version}),
         ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Description: core components for the KDE's Activities system - QML module
 When a user is interacting with a computer, there are three main areas of
 contextual information that may affect the behaviour of the system: who the
 user is, where they are, and what they are doing. Activities deal with the
 last one.
 .
 This package contain the QML module.

## plasma-activities 6.5.2+p24.04+vunstable+git20251106.0929

=== debian/changelog ===
plasma-activities (6.5.2+p24.04+vunstable+git20251106.0929-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 06 Nov 2025 09:29:27 +0000

plasma-activities (6.5.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 06 Nov 2025 19:11:39 +1000

## plasma-activities 6.5.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # vim:set softtabstop=3 shiftwidth=3 tabstop=3 expandtab:
 cmake_minimum_required(VERSION 3.16)
 
-set(PROJECT_VERSION "6.5.2")
+set(PROJECT_VERSION "6.5.3")
 project(PlasmaActivities VERSION ${PROJECT_VERSION})
 
 set(QT_MIN_VERSION "6.9.0")

=== debian/changelog ===
plasma-activities (6.5.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.5.3).

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 18 Nov 2025 19:23:40 +0100

plasma-activities (6.5.2-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Migrate to debian/watch version 5 syntax.
  * Add/update David Edmundson’s key in upstream keyring.
  * New upstream release (6.5.2).

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 04 Nov 2025 21:23:24 +0100

## plasma-activities 6.5.3+p24.04+vstable+git20251123.0539

=== debian/changelog ===
plasma-activities (6.5.3+p24.04+vstable+git20251123.0539-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 23 Nov 2025 05:39:34 +0000

plasma-activities (6.5.3-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 23 Nov 2025 09:12:09 +1000

## plasma-activities 6.5.3+p24.04+vunstable+git20251122.2325

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # vim:set softtabstop=3 shiftwidth=3 tabstop=3 expandtab:
 cmake_minimum_required(VERSION 3.16)
 
-set(PROJECT_VERSION "6.5.3")
+set(PROJECT_VERSION "6.5.80")
 project(PlasmaActivities VERSION ${PROJECT_VERSION})
 
 set(QT_MIN_VERSION "6.9.0")

=== debian/changelog ===
plasma-activities (6.5.3+p24.04+vunstable+git20251122.2325-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 22 Nov 2025 23:25:29 +0000

## plasma-activities 6.5.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # vim:set softtabstop=3 shiftwidth=3 tabstop=3 expandtab:
 cmake_minimum_required(VERSION 3.16)
 
-set(PROJECT_VERSION "6.5.80")
+set(PROJECT_VERSION "6.5.4")
 project(PlasmaActivities VERSION ${PROJECT_VERSION})
 
 set(QT_MIN_VERSION "6.9.0")

=== debian/changelog ===
plasma-activities (6.5.4-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.5.4).

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 09 Dec 2025 20:51:28 +0100

## plasma-activities 6.5.4+p24.04+vstable+git20251209.1106

=== debian/changelog ===
plasma-activities (6.5.4+p24.04+vstable+git20251209.1106-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 09 Dec 2025 11:06:01 +0000

plasma-activities (6.5.4-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 Dec 2025 20:20:24 +1000

## plasma-activities 6.5.5

=== debian/changelog ===
plasma-activities (6.5.5-0zneon+24.04+noble+release+build32) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Tue, 13 Jan 2026 20:52:02 +0000

plasma-activities (6.5.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 14 Jan 2026 06:28:54 +1000

## plasma-activities 6.5.5+p24.04+vstable+git20260114.0247

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,11 @@
 # vim:set softtabstop=3 shiftwidth=3 tabstop=3 expandtab:
 cmake_minimum_required(VERSION 3.16)
 
-set(PROJECT_VERSION "6.5.4")
+set(PROJECT_VERSION "6.5.90")
 project(PlasmaActivities VERSION ${PROJECT_VERSION})
 
-set(QT_MIN_VERSION "6.9.0")
-set(KF6_MIN_VERSION "6.18.0")
+set(QT_MIN_VERSION "6.10.0")
+set(KF6_MIN_VERSION "6.22.0")
 set(KDE_COMPILERSETTINGS_LEVEL "5.82")
 
 set(CMAKE_CXX_STANDARD 20)

=== debian/changelog ===
plasma-activities (6.5.5+p24.04+vstable+git20260114.0247-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 14 Jan 2026 02:47:18 +0000

## plasma-activities 6.5.5+p24.04+vstable+git20260131.0212

=== debian/changelog ===
plasma-activities (6.5.5+p24.04+vstable+git20260131.0212-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 31 Jan 2026 02:12:03 +0000

## plasma-activities 6.5.5+p24.04+vunstable+git20260113.2116

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # vim:set softtabstop=3 shiftwidth=3 tabstop=3 expandtab:
 cmake_minimum_required(VERSION 3.16)
 
-set(PROJECT_VERSION "6.5.90")
+set(PROJECT_VERSION "6.6.80")
 project(PlasmaActivities VERSION ${PROJECT_VERSION})
 
 set(QT_MIN_VERSION "6.10.0")

=== debian/changelog ===
plasma-activities (6.5.5+p24.04+vunstable+git20260113.2116-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 13 Jan 2026 21:16:24 +0000

## plasma-activities 6.6.1

=== debian/changelog ===
plasma-activities (6.6.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.6.0)
  * New upstream release (6.6.1)

 -- Rik Mills <rikmills@kde.org>  Sat, 28 Feb 2026 22:15:06 +0000

plasma-activities (6.5.5-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 13 Jan 2026 15:06:10 +0000

plasma-activities (6.5.4-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 09 Dec 2025 11:19:30 +0000

plasma-activities (6.5.3-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 18 Nov 2025 12:08:36 +0000

=== debian/control ===
--- 
+++ 
@@ -11,14 +11,14 @@
                dh-sequence-pkgkde-symbolshelper,
                dh-sequence-qmldeps,
                doxygen,
-               extra-cmake-modules (>= 6.18.0~),
+               extra-cmake-modules (>= 6.22.0~),
                libboost-dev (>= 1.49~),
-               libkf6config-dev (>= 6.18.0~),
-               libkf6coreaddons-dev (>= 6.18.0~),
-               libkf6windowsystem-dev (>= 6.18.0~),
+               libkf6config-dev (>= 6.22.0~),
+               libkf6coreaddons-dev (>= 6.22.0~),
+               libkf6windowsystem-dev (>= 6.22.0~),
                libxkbcommon-dev,
-               qt6-base-dev (>= 6.9.0~),
-               qt6-declarative-dev (>= 6.9.0+dfsg~),
+               qt6-base-dev (>= 6.10.0~),
+               qt6-declarative-dev (>= 6.10.0+dfsg~),
 Standards-Version: 4.7.2
 Homepage: https://invent.kde.org/plasma/plasma-activities
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-activities
@@ -55,11 +55,11 @@
 Section: libdevel
 Architecture: any
 Depends: libboost-dev (>= 1.49~),
-         libkf6config-dev (>= 6.18.0~),
-         libkf6coreaddons-dev (>= 6.18.0~),
+         libkf6config-dev (>= 6.22.0~),
+         libkf6coreaddons-dev (>= 6.22.0~),
          libplasmaactivities7 (= ${binary:Version}),
          qml6-module-org-kde-activities (= ${binary:Version}),
-         qt6-base-dev (>= 6.9.0~),
+         qt6-base-dev (>= 6.10.0~),
          ${misc:Depends},
 Recommends: libplasmaactivities-qt6-doc (= ${source:Version}),
 Description: core components for the KDE's Activities system - development files

## plasma-activities 6.6.2

=== debian/changelog ===
plasma-activities (6.6.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.6.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 03 Mar 2026 12:23:37 +0000
